/*
 * Created on 15.08.2007
 */
package Alignment;
import java.util.Vector;

import RealValue.ES;
import RealValue.Individual;
import Utilities.*;


/**
 * @author Thomas Fober
 *         Philipps-Universitt Marburg
 *         Fachbereich Mathematik und Informatik
 *         thomas@mathemetik.uni-marburg.de
 */
public class AllPairwiseAlignments {
	public static HungarianAlignment[][] getAllPairwiseAlignments(Graph[] graphs, double threshold, double parameter1, double parameter2){
		HungarianAlignment[][] alignments = new HungarianAlignment[graphs.length][graphs.length];
		for(int i = 0; i < graphs.length; i++){
			for(int j = i + 1; j < graphs.length; j++){
				Vector<Coords>[] molecules = new Vector[2];
				molecules[0] = graphs[i].coords;
				molecules[1] = graphs[j].coords;
				double[][] sigma = {{5,5,5,1,1,1},{25,25,25,Math.PI, Math.PI, Math.PI}};
				double[][] object = {{-150,-150,-150,0,0,0},{150,150,150,2*Math.PI,2*Math.PI,2*Math.PI}};
				Individual overlay = ES.solver(30, 4, Integer.MAX_VALUE, 6, sigma, object, 1, true, true, true, Double.POSITIVE_INFINITY, Integer.MAX_VALUE, 150, Double.POSITIVE_INFINITY, Double.POSITIVE_INFINITY, 0.00001, molecules, graphs[i].name+"___"+graphs[j].name, null, 0, 1);
				alignments[i][j] = new HungarianAlignment(threshold, overlay, parameter1, parameter2);
				alignments[j][i] = alignments[i][j];
			}
		}
		return alignments;
	}
}
