/*
 * Created on 09.08.2007
 *
 */
package Utilities;

import java.io.Serializable;

/**
 * @author Marco Mernberger
 *	Fachbereich Mathematik und Informatik
 *	Philipps-Universitt Marburg
 */
public class Coords implements Serializable, Cloneable{

	final static long serialVersionUID = 7213022483319557340L;
	private double x;
	private double y;
	private double z;
	private String label;
	
	
	public Coords(Coords c){
		this.x = c.x;
		this.y = c.y;
		this.z = c.z;
		this.label = c.label;
	}
	
	
	public Coords(double x, double y, double z, String label){
		this.x = x;
		this.y = y;
		this.z = z;
		this.label=label;
	}
	
	public Coords clone(){
		return new Coords(this);
	}
	
	public String toString(){
		return label+"("+this.x+", "+this.y+", "+this.z+")\n";
	}
	
	public boolean equals(Object object) {
		Coords comp = (Coords) object;
		if (this.x == comp.x && this.y == comp.y && this.z == comp.z && this.label.equalsIgnoreCase(comp.label)) return true;
		return false;
	}
	
	public int hashCode() {
		return (int)((this.x + this.y + this.z) * 10000);
	}
	
	
	
	/**
	 * @return Returns the x.
	 */
	public double getX() {
		return x;
	}
	/**
	 * @param x The x to set.
	 */
	public void setX(double x) {
		this.x = x;
	}
	/**
	 * @return Returns the y.
	 */
	public double getY() {
		return y;
	}
	/**
	 * @param y The y to set.
	 */
	public void setY(double y) {
		this.y = y;
	}
	/**
	 * @return Returns the z.
	 */
	public double getZ() {
		return z;
	}
	/**
	 * @param z The z to set.
	 */
	public void setZ(double z) {
		this.z = z;
	}
	/**
	 * @return Returns the label.
	 */
	public String getLabel() {
		return label;
	}
	/**
	 * @param label The label to set.
	 */
	public void setLabel(String label) {
		this.label = label;
	}
	
}
