/*
 * Created on 09.08.2007
 *
 */
package Utilities;
import java.util.Vector;
import java.io.Serializable;
import java.io.File;
/**
 * @author Thomas Fober & Marco Mernberger
 *         Philipps-Universitt Marburg
 *         Fachbereich Mathematik und Informatik
 *         {thomas, mernberger}@mathemetik.uni-marburg.de
 */
public class Graph implements Serializable{
	
	
	//id for serialization
	public static final long serialVersionUID = 8152259127939245004L;
	
	//number of nodes
	public int numberOfNodes;
	
	//number of distances
	public int[][] bonds;
	
	//distance matrix
	public double[][] distances;
	
	//list of node labels
	public String[] nodes;
	
	//path to file
	public String path;
	
	//name of graph/molecule
	public String name;
	
	//List of node coordinates
	public Vector<Coords> coords;
	
	
	/**Default Constructor.
	 */
	public Graph(){
	}
	
	/**Graph Constructor
	 * 
	 * @param num 
	 * @param bond bond matrix
	 * @param distance distance matrix
	 * @param nodes array of node labels
	 * @param coords List of node coordinates
	 * @param path path to input file
	 */
	public Graph(int num, int[][] bond, double[][] distance, String[] nodes, Vector<Coords> coords,  String path){
		String[] x = path.split("\\"+File.separator);
		this.name = x[x.length-1];
		this.nodes = nodes;
		this.numberOfNodes = num;
		this.distances = distance;
		this.bonds = bond;
		this.path = path;
		this.coords = coords;
	}


}
